package com.njcn.pojo.user;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
@Table(name = "PQS_TfLgPloyAss")
public class TfLgPloyAss {
	@Id
	@Column(name = "TP_Index")
	private String tPIndex;//	Varchar2 (36)	Not NULL	策略Guid（外键PQS_TfLgPloy中TP_Index）
	private String tfIndex;//Varchar2 (36)	Not NULL	报告基础项Guid（外键PQS_ Transformer中Tf_Index）
	//@Transient
	private String userIndex;//	Varchar2 (36)	Not NULL	（关联表PQS_User）用户表Guid
	//@Transient
	private Date updatetime;//	Datetime	Not NULL	更新时间
	
	@Override
	public boolean equals(Object obj) {
		return this.tPIndex.equals(((TfLgPloyAss)obj).tPIndex);
	}
	@Override
	public int hashCode() {
		return this.tPIndex.hashCode();
	}
	public String gettPIndex() {
		return tPIndex;
	}
	public void settPIndex(String tPIndex) {
		this.tPIndex = tPIndex;
	}
	public String getTfIndex() {
		return tfIndex;
	}
	public void setTfIndex(String tfIndex) {
		this.tfIndex = tfIndex;
	}
	public String getUserIndex() {
		return userIndex;
	}
	public void setUserIndex(String userIndex) {
		this.userIndex = userIndex;
	}
	public Date getUpdatetime() {
		return updatetime;
	}
	public void setUpdatetime(Date updatetime) {
		this.updatetime = updatetime;
	}
	@Override
	public String toString() {
		return "TfLgPloyAss [tPIndex=" + tPIndex + ", tfIndex=" + tfIndex + ", userIndex=" + userIndex + ", updatetime="
				+ updatetime + ", gettPIndex()=" + gettPIndex() + ", getTfIndex()=" + getTfIndex() + ", getUserIndex()="
				+ getUserIndex() + ", getUpdatetime()=" + getUpdatetime() + ", getClass()=" + getClass()
				+ ", hashCode()=" + hashCode() + ", toString()=" + super.toString() + "]";
	}

}
